%define name	LnxZip
%define version 0.1
%define release 2rph

Summary:	LnxZip a WinZip(tm) clone and RPM builder for Linux Gnome.
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
URL:		http://visionary-hawk.webjump.com/lnxzip.html
Group:		Archiving/Compression
Source:		%{name}-%{version}-2.tar.bz2
Source1:	%{name}_menuentry
Source2:	%{name}_icons.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-buildroot

%description
LnxZip  is a Gnome front-end to common archive utilities under Linux/unix. 
The goal is to provide the end user with a quality tool he/she requires to 
either work with compressed files or create RPM's. 

Currently zip, gzip, tar, arj, and bzip2 are supported. Functionality 
includes the ability to open archives, and to add, delete, extract, and view 
files.  RPM functionality includes creation of spec file, automatic naming 
convention, creation of build scripts, creation of build tree and execution 
of build script.


%prep
%setup -q
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}
tar xvfj %{SOURCE2}
%configure


%build
%make


%install
%makeinstall
install -m 755 -d %{buildroot}%{_menudir}
install -m 644 %{SOURCE1} %{buildroot}%{_menudir}/%{name}

mkdir -p %{buildroot}{%{_liconsdir},%{_miconsdir}}
install -m 644 lnxzip_16.xpm %{buildroot}%{_miconsdir}/lnxzip.xpm
install -m 644 lnxzip_32.xpm %{buildroot}%{_iconsdir}/lnxzip.xpm
install -m 644 lnxzip_48.xpm %{buildroot}%{_liconsdir}/lnxzip.xpm


%post
%update_menus


%postun
%clean_menus


%clean
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}
rm -rf $RPM_BUILD_DIR/%{name}-%{version}


%files
%defattr (-,root,root)
%doc COPYING INSTALL ABOUT-NLS
%{_bindir}/lnxzip
%{_datadir}/pixmaps/gnome-lnxzip.png
%{_datadir}/mime-info/gnome-lnxzip.keys
%{_datadir}/gnome/help/lnxzip/C/gnome-main.html
%{_datadir}/gnome/help/lnxzip/C/gnome-rpm.html
%{_datadir}/gnome/help/lnxzip/C/index.html
%{_datadir}/gnome/help/lnxzip/C/topic.dat
%{_menudir}/%{name}
%{_iconsdir}/lnxzip.xpm
%{_liconsdir}/lnxzip.xpm
%{_miconsdir}/lnxzip.xpm

%changelog
* Thu Apr 25 2002 Vincent Danen <vdanen@mandrakesoft.com> 0.1-2rph
- rpm contributed by Darwin Gottfried <dejg@rpmhelp.net>
- some specfile cleanups
- macros
- use -j in tar, not -y
- all the docs

* Sat Apr 20 2002 Darwin Gottfried <dejg@rpmhelp.net> 0.1-1rph
- First RPMHelp.net release.

